require 'spec_helper'

describe RightPublish::Annotation do
  subject { described_class } # the class itself, not an instance

  context '.generate_html' do
    context 'options' do
      it 'includes stylesheets'
      it 'includes scripts'
      it 'includes the title in the head'
      it 'includes an h1 with the title'
      it 'accepts a single-glob filter'
      it 'accepts a multi-glob filter'
      it 'accepts complex filters'
    end

    it 'sorts its list alphabetically'
    it 'generates folder elements'
    it 'generates file elements'
    it 'generates hierarchical trees of folders and files'
  end
end